Fetch Instance Recommendation
post
/rpa/v1/instances/{instanceId}/recommendation
Gets the instance recommendation.
Request
Path Parameters
-
instanceId(required): string
unique Instance identifier
Header Parameters
-
if-match: string
For optimistic concurrency control. In the PUT or DELETE call for a resource, set the `if-match` parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource's current etag value.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
category(required): string
Type of recommendation (e.g., locator)
-
context: string
Optional developer-provided note or context
-
originalValue(required): string
The original XPath or locator to improve
-
source(required): string
The HTML or DOM source to analyze
Response
Supported Media Types
- application/json
200 Response
Fetch Instance Recommendation
Headers
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Nested Schema : InstanceRecommendationOption
Type:
Show Source
object-
confidence: number
(float)
Confidence score (0 to 1)
-
reason: string
Justification or rationale for the recommendation
-
recommendedValue(required): string
The improved or recommended locator value
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
405 Response
Method Not Allowed
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
412 Response
Precondition failed
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.